Subscribers
Get Subscriber Import
Get progress and row outcomes for a queued subscriber import
GET
/
api
/
v1
/
subscribers
/
imports
/
:importId
Get Subscriber Import
curl --request GET \
--url https://api.sequenzy.com/api/v1/subscribers/imports/:importId \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/subscribers/imports/:importId"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/subscribers/imports/:importId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"import": {
"id": "import_abc123",
"batchId": "batch_abc123",
"fileName": "copper-export.csv",
"status": "completed",
"totalRows": 23,
"emailCount": 23,
"duplicateRows": 0,
"addedCount": 22,
"updatedCount": 0,
"skippedCount": 0,
"failedCount": 1,
"processedCount": 23,
"totalChunks": 1,
"completedChunks": 1,
"failedChunks": 0,
"skippedReasons": {},
"failedReasons": { "invalid_phone": 1 },
"failedChunkReasons": {}
}
}
Returns a company-scoped import by its import ID or batch ID. The API key needs
subscribers:read.
Import ID or batch ID returned by the create endpoint.
curl "https://api.sequenzy.com/api/v1/subscribers/imports/import_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"import": {
"id": "import_abc123",
"batchId": "batch_abc123",
"fileName": "copper-export.csv",
"status": "completed",
"totalRows": 23,
"emailCount": 23,
"duplicateRows": 0,
"addedCount": 22,
"updatedCount": 0,
"skippedCount": 0,
"failedCount": 1,
"processedCount": 23,
"totalChunks": 1,
"completedChunks": 1,
"failedChunks": 0,
"skippedReasons": {},
"failedReasons": { "invalid_phone": 1 },
"failedChunkReasons": {}
}
}
⌘I
Get Subscriber Import
